\newcommand{\talk}[1]{\subsection{#1}}
\newcommand{\talksub}[2]{\subsection[#1]{#1 \\ \small{#2}}}
\newcommand{\by}[1]{\small{#1} \\}
\newcommand{\person}[2]{#1 \texttt{<#2>}}

%%% DebianDay
\section{DebianDay}
% TalkID: 10
\talk{Debian Stable Release Management}
\by{\person{Andi Barth}{aba@not.so.argh.org} \\
\person{Dann Frazier}{dannf@debian.org} \\
\person{Martin Zobel-Helas}{zobel@debian.org}}

% TalkID: 42
\talksub{Debian travels around the World}{A light hearted look from a Debian
perspective of World travel}
\by{\person{Kai Hendry}{hendry@iki.fi}} 

% TalkID: 55
% Cancelled due to speaker non-attendance - mhy
%\talksub{Dr NMS or: How I Learned to Stop Worrying about the Network}{OSS
%NMS in the enterprise}
%\by{\person{Jose Leitao}{jleitao@gmail.com}}
%
%What's causing the problem? Is it the network? The servers? The
%applications? Is it a user abusing the Internet connection with a p2p
%client? How fast can we establish what is it exactly "valid" traffic? How
%can we prove to other departments that the issue is not "network-related"?
%How can we defend ourselves from the typical water cooler comment; "the
%network is slow today"
% 
%In most of the cases, the IT teams encounter complex environments, where
%monitoring is an abstract concept, poorly implemented and seriously
%overlooked. While this happens, the reality remains that every day
%organisations realize the importance of the subject, whether because of
%some catastrophic system failure that could have been avoided or because
%they are trying to a little get closer to the so called magic nines, the
%99.999\% of uptime.
%
%The bottom line is simple; the use of effective monitoring systems is
%essential in ensuring the smooth operation of services in any data centre,
%big or small.

% TalkID: 121
\talksub{\url{hp.com/go/debian}}{HP Support of Debian}
\by{\person{Bdale Garbee}{bdale@debian.org}}

This talk will review the history of the
relationship between HP and Debian, and provide an update on HP's current
use and support of Debian.

% TalkID: 32
\talk{Knowledge, Power and free Beer}
\by{\person{Andreas Tille}{tille@debian.org}}

Sometimes the meaning of ``free''
remains vague and unclear for outsiders.  There seem to be different prices
for something that is free which is confusing.  The talk tries to find an
answer to the question: What the hell will I get if I buy a box labelled
``Debian GNU/Linux''?

% TalkID: 125
\talksub{Making music on Debian with 64 Studio}{A practical demonstration of
free software multimedia creation}
\by{\person{Daniel James}{daniel@64studio.com}}

64 Studio is a free
software distribution for content creators based on the pure 64 port of
Debian GNU/Linux, with a specialised package selection and lots of other
customisations - we like to think of it as a Debian remix. This workshop
will cover working with free software tools to create your own music. You
don't need a 64-bit PC to attend this workshop, since a 32-bit i386 build of
the distribution is available from our website.

% TalkID: 38
\talk{Publicity coordination meeting}
\by{\person{Alexander Schmehl}{tolimar@debian.org}}

During the "Representing Debian
- Doing the best for the best?" BoF at the last DebConf in Mexico, several
topics about Debian publicity and representation where discussed.  While we
made some progress, e.g. by creating the debian-publicity list, some
problems still remain.  In this BoF everyone is invited to help us, solving
remaining problems and develop new ideas, to bring Debian more often into
the news... preferably with positive news :)

% TalkID: 91
\talksub{Trusted Computer Project (DebianDay)}{Secure computers for the
home}
\by{\person{Philip Hands}{phil@hands.com}}

This project aims to
provide the infrastructure for maintaining secured systems for end-users
(primarily home users), by handling all sysadmin issues for them, for a
small monthly fee.  This lecture would describe the benefits of using such a
system, and would be aimed at the general public.

% TalkID: 133
\talksub{What is Free Software?}{Beyond the basic, usual definition}
\by{\person{Gunnar Wolf}{gwolf@debian.org}}

Debian owes everything to the larger
Free Software movement - Even more, for many people, Debian itself is viewed
as one of the strictest definitions of Free Software, perhaps sometimes as a
bunch of fundamentalist groups in our larger community (a fact, by the way,
that makes many among us quite proud). But, besides the old and tired
definition of Free Software as the "four basic freedoms", what is what our
larger movement aims for? What unites us volunteers and leads us to work
together? It's much more than mere programs.



%%% Debcamp
\section{DebCamp BoFs and Workshops}

% TalkID: 117
\talksub{Babelbox workshop}{Improve the documentation and create a DVD}
Installing babelbox in 30min.
\by{\person{Holger Levsen}{debian@layer-acht.org}}

% TalkID: 35
\talksub{Configuration file handling}{Home folder and configfile format
nightmares}
\by{\person{Aigars Mahinovs}{aigarius@debian.org}}

How can we clean out the mess of dot-files in the home directories of our
users?  How can we unite configuration file formats? And how Debian can take
the lead and help save the world (and our configfiles)!?

% TalkID: 110
\talk{dak future direction BOF}
\by{\person{Anthony Towns}{ajt@debian.org}}

Discussion and brainstorming about
possible improvements to the debian-archive-kit with a view to getting them
implemented during debcamp/debconf.

% TalkID: 61
\talksub{FAI workshop}{A meeting for working on fully automatic installation}
\by{\person{Thomas Lange}{lange@debian.org}}

This should be a meeting of FAI developers and other interested people with
the aim of working on FAI, especially the following areas:
\begin{itemize}
  \item replacing fai-kernels with the stock Debian kernels
  \item new techniques for creating the fai-cd
  \item a new partition tool using parted - working on FAI bugs
\end{itemize}

% TalkID: 9
\talk{The future of DDTP}
\by{\person{Michael Bramer}{grisu@debian.org}}


%%% DebConf Talks
\section{DebConf Talks}

% TalkID: 25
\talksub{Bhutan's journey towards open source}{Bhutan's initiatives to adopt
open source over proprietary software}
\by{\person{Pema Geyleg}{pema.geyleg@gmail.com}}

Bhutan's initiatives towards adopting Free and Open Source Software as an
alternative to proprietary software.

% TalkID: 79
\talk{Bits from the DPL}
\by{\person{Sam Hocevar}{sho@debian.org} \\
\person{Anthony Towns}{ajt@debian.org}}

Bits from the DPL, but in real life! Chance to heckle, applaud, or
commiserate in real life, as well as ask questions etc.

% TalkID: 47
\talksub{bugs.debian.org and debbugs}{Versioning, usertags, other new
features, and common gripes}
\by{\person{Don Armstrong}{don@debian.org}}

debbugs, the bug tracking system that Debian uses on bugs.debian.org has
been slowly undergoing changes to enable developers, users, and release
managers to better track bugs that affect specific releases and versions of
packages, more quickly locate bugs that affect them, personalise the BTS to
a maintainer's workstyle, and see how the distribution as a whole is keeping
up with bugs.

% TalkID: 83
\talksub{Data Mining Popcon}{Suggesting Packages based on Popularity Contest}
\by{\person{Alain Schröder}{alain@debian.org}}

Debian is easier to install than ever before, Debian has also reached a new
level of complexity with 15.000 Packages.  The sheer mass makes it difficult
for average and even advanced users to find programs they're looking for.
 
This talk plans to give an introduction to data mining, especially data
preparation and the algorithms used for the package suggesting website
(\url{http://dps.parkautomat.net/}).

% TalkID: 135
\talk{Debconf 9 Presentations}

Debconf 9 presentations as discussed on lists.debconf.org

% TalkID: 98
\talk{Debian: A Force To Be Reckoned With}
\by{\person{Benjamin Mako Hill}{mako@debian.org}}

This talk offers a ``Debian Themed'' quick tour through the academic, legal,
and business worlds. It overs insight into what everyone outside of Debian
is saying about, doing with, and learning from the Debian project.
 
In doing so, it hopes to give Debian participants some insight into fields
and areas that they are largely unfamiliar with (e.g., management,
sociology, anthropology, economics, computer supported collaborative work,
etc.). It illuminates what others -- especially academics -- find useful or
inspiring about the project and to facilitate self-reflection and
self-improvement within Debian.  It reflects on the impact that Debian has
had in the world beyond the Debian project and, in particular, in those
areas that many Debian developers may not be familiar with.

% TalkID: 114
\talksub{Debian \& the Media}{An overview of Debian in the media and future
directions}
\by{\person{Andi Barth}{aba@not.so.argh.org},
\person{Pascal Hakim}{pasc@debian.org}}

Debian is becoming more prominent in the media, but we are still having issues
getting all of our stories covered.  Where can we go from here?

% TalkID: 37
\talksub{Debian event howto}{Organising successful Debian representation at
events}
\by{\person{Alexander Schmehl}{tolimar@debian.org}}

More and more often Debian is invited to represent itself at some kind of
fair or exhibition.  Sometimes Debian is even invited to participate during
a larger conference with its own conference track!  Sadly we often don't
make the most of our potential; sometimes we don't have enough volunteers,
sometimes we have small failures regarding the representation of the Debian
project to the public.
 
This talk tries two things:  Motivate people to be a volunteer at the next
events by showing them how easy it is to organise an event as well as warn
all volunteers about common mistakes.

The talk will be guided by the recommendations of the ``Essen meeting'' of
European developers had to enhance Debians presentation in the German
speaking area.

% TalkID: 88
\talksub{Debian for Computational Grids}{Packages and the Dissemination of
Know How}
\by{\person{Daniel Bayer}{bayer@inb.uni-luebeck.de}}

This talk elucidates the provisioning of dynamic runtime environments for the
Advanced Resource Connector (ARC) grid middleware using Debian Linux packages.
This directly effects the research of academic groups and industry in their
analysis of proprietary or public data.

% TalkID: 29
\talk{Debian/GNU + OpenSolaris = Nexenta}
\by{\person{Martin Man}{mman@martinman.net}}

Nexenta Operating System, also known as GNU/Solaris, is a combination of the
enterprise class OpenSolaris kernel with GNU userland applications provided
by Debian/GNU and Ubuntu Operating Systems.

% TalkID: 56
\talksub{Debian Installer - an update}{What has changed since Sarge; what is
going to change for Lenny}
\by{\person{Frans Pop}{fjp@debian.org}}

Debian Installer was first released with Sarge. This talk will give an
overview of how it has performed for Sarge, of the major changes implemented
since Sarge, and of the planned changes and challenges for Lenny.

% TalkID: 100
\talk{Debian KDE Extras Team Presentation}
\by{\person{Mark Purcell}{msp@debian.org}}

The Debian KDE Extras Team maintain a portfolio of extra application packages
for Debian GNU/Linux outside the KDE core applications. Highlights of these
applications in order of Debian popularity (excluding libraries) include;
kile, kaffeine, kipi-plugins, digikam, kmplayer, knemo, taskjuggler, kmymoney,
rsibreak and codeine. 
 
This presentation will include discussion on the following areas:
\begin{itemize}
 \item Brief overview on some of the key applications
 \item How KDE packages are incorporated into Debian
 \item Integration and interaction with upstream KDE developers
 \item Debian bug tracking \& synchronisation with KDE bug tracking
(\url{http://bugs.debian.org/cgi-bin/pkgreport.cgi?maint=pkg-kde-extras@lists.alioth.debian.org})
 \item Integration and interaction with (k)ubuntu developers
 \item svn.debian.org kde-extras archive and potential for non Debian contributors
 \item Debian Popularity Contest and KDE applications
\end{itemize}

% TalkID: 6
\talksub{Debian Live}{``World Domination, finally'' or ``An Overview to
Debian Live''}
\by{\person{Daniel Baumann}{daniel@debian.org} \\
\person{Marco Amadori}{marco.amadori@gmail.com}}

\begin{itemize} 
 \item Why/where is a Live system needed/wanted/required?
 \item How does it work (casper)?
 \item How to create it (live-package)?
 \item Future plans/ideas/dreams etc.
\end{itemize}

% TalkID: 87
% Cancelled due to Pascal not coming - mhy
%\talk{Debian Mailing Lists: past and future}
%\by{\person{Pascal Hakim}{pasc@debian.org}}
%
%The Debian mailing lists are one of the main communication methods within
%the Debian project.  We'll look at how the lists got to be where they are
%now, what we've been working on recently, and where we intend to go.

% TalkID: 28
\talk{Debian Release Management}
\by{\person{Andi Barth}{aba@not.so.argh.org}}

Talk about the current state of the Lenny release process.

% TalkID: 31
\talksub{Debian - The Universal Operating System?}{Do we provide what users
need? Do users get what they really want? A critical view on current
limitations regarding user support}
\by{\person{Andreas Tille}{tille@debian.org}}

Debian GNU/Linux is a Linux distribution that is heavily used as a base for
several derivatives - there is no other distribution that has such a large
number of derived distributions.  This is one reason to make us proud
because we are considered solid and rock stable.  But the question remains:
Why do these people not use plain Debian instead of building their own
distribution?

% TalkID: 65
\talksub{Debian Virtualisation Support}{A Roundtrip through Debian's
virtualization features with an enphasis on Xen}
\by{\person{Henning Sprang}{henning\_sprang@gmx.de}}

Debian Etch contains more than 50 virtualisation-related packages.  These
include new developments as the much hyped Xen hypervisor, as well as
OpenVZ, the core of the commercial operating-system-level virtualisation
product Virtuozzo, but also some old-school emulators of ancient computing
machinery not available anymore in real hardware. This talk will guide you
through a small roundtrip to get an impression what's on the plate for whom,
and go in the details of the Xen-related packages and tools.

% TalkID: 21
\talksub{Dependency based boot sequence}{Reordering the boot sequence for
correctness and speed}
\by{\person{Petter Reinholdtsen}{pere@debian.org}}

There are several boot options available in Debian, and the default
SysV-derived one can be tuned and corrected.  The talk will present the
available options, and go into details on some of the pitfalls and
advantages of the default boot system.  It will present some results based
on the Google summer of code project working on the boot system.

% TalkID: 140
\talksub{From Concept to Concrete}{Hardware, from design to product}
\by{\person{Daniel Silverstone}{dsilvers@debian.org} \\
\person{Vincent Sanders}{vince@debian.org}}

This talk offers a very basic tour of the hardware design process
which so few of Debian's contributors will be familiar with. It offers
a little insight into what goes into designing and building some of
the more funky bits of embedded hardware which we all love so much.

Hardware design is, in fact, a non-trivial process which even the most
experienced hardware engineer will always find a challenge. A lot of
software engineers have a habit of waving their hand and saying ``pah,
it's only hardware'' so this talk will be offering an insight into the
immense amount of work which actually goes into a typical single board
computer, covering everything from the initial concept through to
product-sized manufacturing.

% TalkID: 73
\talksub{Hardware Detection Options and Solutions}{Autodetecting and
configuring hardware during installation and at runtime}
\by{\person{Petter Reinholdtsen}{pere@debian.org}}

Both during installation, but also at runtime, it is important to detect and
configure the available hardware in a machine to make sure the user or
sysadmin can avoid spending a lot of time searching the web figuring out why
a piece of hardware isn't working.  This talk will present some of the
available options in Debian, how they are integrated into the installation
system and how we can make Debian even better at handling hardware
automatically.

% TalkID: 19
\talksub{How to reach world domination?}{Advantages and shortcomings of
Debian used in a worldwide IT infrastructure}
\by{\person{Torsten Werner}{twerner@debian.org}}

The German Foreign Office has been using Debian since 2004 and it is now the
primary operating system on servers and notebooks. The talk will discuss both
the advantages of using Debian and its limitations. The latter ones can be
roughly categorised into installer defects, policy defects and defects of the
package tools.

% TalkID: 22
\talksub{Integrating LTSP into Debian}{Hiking the trail to LTSP 5.0 and the
friends we make along the way}
\by{\person{Vagrant Cascadian}{vagrant@freegeek.org}}

LTSP (Linux Terminal Server Project) has simplified the process of developing
thin client infrastructure for years, and has recently been integrated into
Debian and other Linux distributions.

% TalkID: 44
\talksub{Method diffusion in large volunteer projects}{Researching into the
volunteer nature of Debian}
\by{\person{Martin F. Krafft}{madduck@debian.org}}

This presentation is about ongoing research on innovation diffusion in the
Debian project.  The goal is to determine the conditions under which
volunteers adopt new approaches to everyday challenges. The talk illustrates
the concepts behind innovation diffusion research, introduces the assessment
framework used, gives a short overview of the research approach, and offers
some of the results to date.

% TalkID: 104
\talk{Mole: Infrastructure for managing information}
\by{\person{Jeroen van Wolffelaar}{jeroen@debian.org}}

Mole is a piece of data gathering infrastructure in development, part of the
Debian QA tools. This proposed talk will explain what mole is about, and what
you can do with it. Any developer can define datasets, and via a clear set of
interfaces any sort of data can be gathered and redistributed, including
results of running package checkers such as lintian or results of rebuild
attempts under various conditions, but also 'all the .desktop files' for use
in auto-installers.

% TalkID: 45
\talksub{netconf}{Revamping Debian's network configuration system}
\by{\person{Martin F. Krafft}{madduck@debian.org}}

This talk is about netconf, a possible replacement for ifupdown, which is
more suitable for today's needs. The talk outlines the motivation behind and
the design goals of netconf, give a first glimpse at the implementation,
provides an outlook, and solicits feedback from attendants.

% TalkID: 20
\talksub{Postmortem on Debian Creative Commons Workgroup}{Using Debian's
moral authority to further the cause of freedom}
\by{\person{Evan Prodromou}{evan@debian.org}}

In 2006, a group of Debian developers worked with the legal staff of
Creative Commons (\url{http://creativecommons.org/}) to modify the CC license
suite to be, in part, DFSG-compatible. I'll talk about the history of this
relationship, the way we worked together to modify the licenses, some of the
challenges, and the results. I'll also try to draw some conclusions on how
Debian's moral authority can be used to influence other players in the Free
Software world.

% TalkID: 109
\talksub{Proactive Bug Discovery}{Take advantage of the Debian
infrastructure to find and fix bugs more quickly}
\by{\person{Sam Hocevar}{sho@debian.org}}

We explain how to take advantage of the Debian build daemon infrastructure
to find bugs before they hit the distribution, look into the archive or use
Google Code Search to uncover recurrent bugs. We then present the most
common Debian QA tools and explain how to create new test rules for common
issues. Finally, we present ways to test the software once compiled, either
at build time using automated testing procedures or after installation using
fuzzers and sandbox testsuites.

% TalkID: 97
\talksub{Rewriting the Policy to be machine interpretable}{Annotating policy
with tool agnostic policy lint code}
\by{\person{Manoj Srivastava}{srivasta@debian.org}}

Lintian and Linda perform a useful function in the day to day activities of
package creation and maintenance. They provide a safety net in case one has
forgotten to implement a policy requirement, or if there are policy changes
that escape our notice.  Unfortunately, in some cases it is hard to decide
what exactly the policy rule is, and English is ambiguous enough to be
subject to differing interpretation.  This talk is a trial balloon floated
to explore the idea that policy proposals should come with a tool-neutral
check, perhaps written in a specialized language, that can be easily,
perhaps automatically, turned into a Lintian/Linda check. So policy can be
annotated with an unambiguous check pseudo code, where applicable, and this
can be turned into policy checks by lintian/linda or any other tools using
an automated translation mechanism.

% TalkID: 66
\talksub{Security Support in Debian}{The Good, the Bad and the Ugly}
\by{\person{Micah Anderson}{micah@debian.org} and
\person{Moritz Mühlenhoff}{jmm@debian.org}}

The talk will provide a review of security support in Debian and propose
improvements in handling \& infrastructure. It will also debunk some myths
about security support in Debian and what maintainers need to do to fix
vulnerabilities in a timely manner. It even includes a fancy graph.

% TalkID: 95
\talksub{SELinux for dummies}{An introduction to the SELinux for stable
sub-project}
\by{\person{Manoj Srivastava}{srivasta@debian.org}}

This talk describes what it takes to set up a machine running Etch to work
with SELinux targeted policies. It contains pointers to and a walk through
of a process of securing a machine; including additions to policy, and how
to setup a machine with back-ported packages with SELinux fixes that did not
make it into Etch.   The talk would be illustrated with a live example.

% TalkID: 5
\talk{Testing Migration}
\by{\person{Luk Claes}{luk@debian.org}}

In this talk testing migration will be explained. The talk will cover testing
migration criteria, the use of testing hints by the Release Team, how
(library) transitions are handled and tips for package maintainers etc.

% TalkID: 50
\talk{The X Strike Force Roadmap For Lenny}
\by{\person{David Nusinow}{dnusinow@debian.org}}

The X.org X server is undergoing major changes for the 7.3 release. These
include input and output hotplugging, both of which will enable dynamic
automatic configuration. The current Debian packaging setup relies on a set of
shell scripts driven by debconf prompts to configure the X server. This system
is brittle and is completely inappropriate for dealing with the forthcoming
changes to the server. Furthermore, this system was written during a time when
the XFree86 project was the upstream provider of Debian's X Window System. Our
current X.org upstream is is founded on a more open structure, which
facilitates a radically different approach for Debian packaging and
maintenance. This paper will describe the Debian X Strike Force's roadmap for
the Lenny release, which takes in to account these changes. Instead of relying
on custom software to configure the X server on a Debian system we will rely
on the in-server capabilities provided by upstream to ensure a more consistent
experience among different Linux distributions. This approach is critically
dependant on the open structure of the X.org project.

% TalkID: 107
\talksub{Tracking the signal in the noise}{A newcomer's experiences of
debian-legal, 4 years on}
\by{\person{MJ Ray}{mjr@debian.org}}

debian-legal is a unique resource.  It is possibly the most thorough public
consideration of what copyright licences mean to free software, but it seems
to be one of most misunderstood parts of the project.  What does it do, what
do people think it does and how can you use it more effectively?

% TalkID: 119
\talksub{Understanding the Human Genome with Debian}{How a 1,500 CPU Debian
cluster is being used in the Sanger Institute to perform cutting edge genome
and disease research}
\by{\person{Tim Cutts}{tjrc1@debian.org}}

The Sanger Institute is a charity-funded scientific research organisation in
the UK.  We were the single largest contributor to the public human genome
project.  We use Open Source tools in general, and Debian in particular, on
a >1500 processor cluster to further understanding of the human and other
genomes, and the code and knowledge obtained is given away with no
restrictions for the whole world's benefit.  This talk will explain some of
the technical problems and successes we have had in using Debian on this
scale.

% TalkID: 24
\talksub{WTFM, again: Write The Fine Manual page}{without having to learn
ROFF}
\by{\person{W. Borgert}{debacle@debian.org}}
According to Debian policy, each program should have a manual page. The
required nroff format is a bit out of fashion nowadays, however. The process
of producing manual pages, GNU info pages, and other output from trendy
DocBook XML sources is presented in this talk, as well as FHS description of
manual sections, what should be in a manual page, and style issues.


%%% DebConf BoFs and Workshops
\section{DebConf BoFs and Workshops}

% TalkID: 85
\talk{About porting SuperH for Debian} 
\by{\person{Nobuhiro Iwamatsu}{hemamu@t-base.ne.jp}}

This BoF is about the porting to Debian of SuperH (the CPU of Renesas
technology).  There will be discussion about the current situation and
problems encountered as well as recruitment of developers and introduction to
the development board.

% TalkID: 34
\talk{A LaTeX beamer theme for Debian} 
\by{\person{Andreas Tille}{tille@debian.org}}

LaTeX beamer seems to have become kind of a default for those who like to use
LaTeX for their presentations.  It would be just fun to have a common Debian
theme to share between Debian developers.

% TalkID: 82
\talk{Debian Documentation Project: current status and future}
\by{\person{Javier Fernandez-Sanguino}{jfs@debian.org}}

The Debian Documentation Project (DDP) has been losing manpower for the past
years with little of no ``new blood'' incoming. Consequently, only a few
documents are properly maintained and there's a perceived need to improve
this.

% TalkID: 113
% Cancelled due to Pascal not coming - mhy
%\talksub{Debian Lists Policies}{When is enough, enough?}
%\by{\person{Pascal Hakim}{pasc@debian.org}}
%
%Where do we draw the line on list abuse?  At the moment there is no strict
%policy on how much is too much for Debian lists. Should this change?

% TalkID: 78
\talksub{Debian Live Systems}{Creating a Live System with Debian Live,
introduction and operating}
\by{\person{Marco Amadori}{marco.amadori@gmail.com}}

% TalkID: 57
\talk{Debian Installer development for Lenny BoF} 
\by{\person{Frans Pop}{fjp@debian.org}}

Open discussion with current D-I developers and other interested
developers/users about development of the installation system during the Lenny
development cycle.

% TalkID: 94
\talksub{Debian in Venezuela, International Projects and Debian User
Groups}{Actions taken by the Venezuelan Government towards the implementation
of free software, the particular inclination towards Debian GNU/Linux and
how this will affect the future of free software in Latin America}
\by{\person{Ana Isabel Delgado Domínguez}{anubis@debianvenezuela.org}}

To present on the promotion and use of Debian in the Bolivarian Republic of
Venezuela, and how this has effected the people of Venezuela and the rest of
Latin America.  Efforts to use Debian GNU/Linux have been intensified as our
users work in support to spread knowledge, to provide installation festivals,
and offer help and support through mailing list. It is important for us to
also analyse where there do not yet exist Debian Users Groups, and to develop
a successful strategy for the further improvement of our Project, liberating
and training more users worldwide.

% TalkID: 99
\talk{Derivatives Round Table} 
\by{\person{Benjamin Mako Hill}{mako@debian.org}}

The Debian-Derivers round-table will bring together representatives of
organisations involved in producing Debian derived distributions to discuss
the political, organisational, and social barriers to collaboration with
Debian and with each other. The round table will include representatives of
Canonical/Ubuntu, Skolelinux/Debian-Edu and a representative from the CDD
community (e.g., Enrico Zini, Andreas Tille, etc).  If available, it may also
include representatives from any number of Spanish distributions distributions
who may be in attendance (e.g., Guadalinex, Llurex, LinEx), Userlinux Progeny,
or others.

% TalkID: 106
\talk{Emdebian BOF} 
\by{\person{Neil Williams}{codehelp@debian.org} \\
\person{Wookey}{wookey@debian.org}}

Opportunity for anyone interested in using emdebian or emdebian tools, or
helping package things for emdebian, to meet the team. And for all to decide on
what needs doing next, and how it might be done - mechanisms, infrastructure,
policy, tools.

% TalkID: 59
\talk{Evolving Debians Governance}
\by{\person{Andi Barth}{aba@not.so.argh.org}}

Debian has been growing in size for many years, and its governance has also
changed multiple times. It seems like another change is due about now, and
this event gives a place for discussion between the Developers at Debconf
as to the nature of this change.

% TalkID: 127
\talksub{FAI - Fully Automatic Installation - Q\&A}{Everything you always
wanted to know about FAI but were afraid to ask}
\by{\person{Thomas Lange}{lange@debian.org}}

% TalkID: 53
\talksub{Forking Debian every day}{Using distributed version control systems
for package maintenance}
\by{\person{Manoj Srivastava}{srivasta@debian.org} \\
\person{Martin F. Krafft}{madduck@debian.org}}

This workshop provides an introduction to the concepts behind the use of
branches for packaging, using several examples from day-to-day packaging
practise. It outlines a work-flow that efficiently deals with common
maintenance use cases and presents a complete implementation of a set of tools
implementing the work-flow. This will then be contrasted with other approaches
for the same tasks, and advantages and disadvantages discussed.

% TalkID: 41
\talksub{Freedom Beyond Software}{Discussing the broader implications of a
free society}
\by{\person{Vagrant Cascadian}{vagrant@freegeek.org}}

There is a lot of work to be done when building a free society. This is
intended to be an open discussion of political, social, and ecological issues
that inspire or concern members involved in the Debian community.

% TalkID: 112
\talksub{Getting our LDAP story together}{Discussion about common direction,
drafting a policy}
\by{\person{Philipp Kaluza}{sgb78@yomu.de}}

This BoF invites all maintainers of LDAP-related packages to discuss a common
path forward, both in term of agreeing on common supported schemas and better
integrating existing packages.

% TalkID: 12
\talksub{GNU Radio Tutorial}{Fundamentals of Software Defined Radio and
Practical Applications of GNU Radio}
\by{\person{Bdale Garbee}{bdale@debian.org}}

% TalkID: 129
\talk{How can we best support different init schemes?}
\by{\person{Gunnar Wolf}{gwolf@debian.org}}

There are several different init systems present in Debian - However, we are
only supporting currently one of them, good ol' sysv-rc - We have close to a
thousand packages providing init scripts suitable for it, and close to none
for all of the other systems.  In current systems, full of hot-pluggable
devices, changing network configurations and so on, however, I think this
situation is quite prone to change - sysv-rc and its runlevels are better
suited for stable server-like systems, and hard to adapt for future needs.  We
will talk about the potential difficulties Debian will face in order to better
support more init schemes, and discuss some ideas to solve them.

% TalkID: 71
\talk{HowTo include CDDs in lenny}
\by{\person{Holger Levsen}{debian@layer-acht.org}}

Currently no custom debian-distribution is (in its released state) part of
debian/stable.  Debian-Edu wants to achieve this for lenny, and there are
probably others in the same situation.
 
This workshop aims to bring together developers from debian-cd,
debian-installer and custom debian distributions to discuss these issues and
make plans towards solving them.

% TalkID: 33
\talksub{Leading a Free Software project}{About the difference between being
a boss and a leader}
\by{\person{Andreas Tille}{tille@debian.org}}

There is a big difference between an employer--employee and a Free Software
project leader--volunteer developer relation.  In the first case, making an
income is the driving force in the second the common goal to get out a working
project.  In the first case fun is a nice thing to have in the second case it
is essential.

% TalkID: 69
\talk{Ligusk: Gentoo as a meta-distribution or making a custom Debian like distribution}
\by{\person{Yuri Vasilevski}{yvasilev@gentoo.org}}

Ligusk uses Gentoo's portage, a source based package management system, to
generate and maintain a set of .deb packages, tuned for some specific
environment by compiling them with a specifiable set of options and CFLAGS.
This way Ligusk creates specialised GNU/Linux distributions defined by simple
profiles. These distributions can then be deployed and managed by the standard
set of tools which any Debian based or Debian like distribution uses.

% TalkID: 27
\talksub{Losing the Elderly}{Looking back at the last year for Debian/m68k}
\by{\person{Wouter Verhelst}{wouter@debian.org}}

The Debian/m68k port is one of the oldest ports in the Debian distribution.
Unfortunately, it is also the first port ever that, since the release of etch,
is no longer officially supported by the Debian project. This BoF will first
give a short history about what exactly happened with the m68k port during the
last release cycle and how it was eventually unable to keep up with unstable.
Next will follow a discussion on what we can do to avoid this from happening
again in the future.

% TalkID: 51
\talk{Maintaining Packages With Git} 
\by{\person{David Nusinow}{dnusinow@debian.org}}

\url{http://git.debian.org} has recently been added to alioth, allowing the
git revision control system to be used in conjunction with alioth for package
maintenance. Even though git is currently used by very high profile projects
in the linux world, including the linux kernel itself and X.org, extensive
experience with this tool is generally lacking in the Debian community. This
BoF will provide the opportunity for people to discuss and learn how to use
git to maintain Debian packages. This can include discussions of the
advantages and disadvantages of using git, its distributed model, and simple
tips and tricks for using it effectively. If it is generally desired, there
will be a basic tutorial on using git prepared in advance.

% TalkID: 67
\talksub{Open fonts in Debian}{The Open Font License and the pkg-fonts
Alioth project for collaborative maintainership of fonts and related
software}
\by{\person{Nicolas Spalinger}{nicolas@yosch.org}}

This BoF is about getting people interested in open fonts together and working
on a font packaging policy to serve as the reference document for the work of
pkg-fonts Alioth project as well as encouraging more font designers to
contribute to Debian by bringing together the relevant tools and tutorials.

% TalkID: 126
\talk{OpenJDK and the Free Java Packaging Roadmap}
\by{\person{Tom Marble}{tom.marble@sun.com}}

Hear the details on the liberation roadmap for OpenJDK and how to leverage the
DevJam session from FOSDEM for packaging Java applications.

In November 2006 Sun announced that Java would be open sourced under the GPL
and provided source for the javac compiler and HotSpot virtual machine.
This year the remainder of the JDK source will be published.  This talk will
cover the roadmap for the liberation as well as build depends, naming and
branding issues.  Let's work on updating Debian Java Policy with respect to
packaging issues for runtimes, libraries and applications for GNU/Linux Java
Policy as discussed at the FOSDEM DevJam.

% TalkID: 16
\talk{OpenStreetMap} 
\by{\person{Annabelle Tully}{belle@tully.no}}

OpenStreetMap is a project aimed at creating and providing free geographic
data such as street maps to anyone who wants them.  The project was started
because most maps you think of as free actually have legal or technical
restrictions on their use, holding back people from using them in creative,
productive or unexpected ways.  The idea is to get people all over the world
who wish to contribute have group walks to map out streets and areas using
GPS.

% TalkID: 68
\talksub{PC Install and Backup Management}{Tying Debian-Installer, BackupPC
and OpenVPN together in weird and wonderful ways}
\by{\person{Luke Kenneth Casson Leighton}{lkcl@lkcl.net}}

Installing, maintaining and backing up of several Personal Computers is a
time-consuming task that this project endeavours to make easier.  The
technologies that are tied together include Debian-Installer (including
Ubuntu's OEM setup), BackupPC (using rsync), and OpenVPN.
 
The goal is for an individual to be able to subscribe to a managed software
installation and backup service, where they can put a CD into their PC, and
expect to get a useful desktop system, with absolute minimum knowledge and
intervention on their part.

% TalkID: 84
\talksub{Quality assurance activities for localisation}{How to keep the
quality of translations high?}
\by{\person{Noritada Kobayashi}{nori1@dolphin.c.u-tokyo.ac.jp}}

This BoF offers a forum for introduction and discussion on how to keep the
quality of translations high.  While keeping quality in localisation requires
cooperation of many workers in many areas such as translation-review process
and unification of terminology, those workers are all voluntary and there are
not enough of them in the FLOSS community, which sometimes gets problematic.
The goal of the BoF is to seek a better workflow to ease interactions and to
record information on quality of translation.

% TalkID: 93
\talksub{Solving social problems via soc-ctte}{Does a social pendant to the
tec-ctte make sense?}
\by{\person{Andreas Tille}{tille@debian.org}}

For several years at DebConfs it has been stated that we have more social than
technical problems inside Debian.  A soc-ctte might be a means to tackle those
problems.

% TalkID: 7
\talksub{SPI: Software in the Public Interest, Inc.}{Understanding the
Umbrella}
\by{\person{Bdale Garbee}{bdale@debian.org} \\
\person{Michael Schultheiss}{schultmc@debian.org} \\
\person{Neil McGovern}{neilm@debian.org}}

Board members from Software in the Public Interest, Inc. (SPI) will provide an
overview about what SPI is and how it helps Debian and other FLOSS projects.

% TalkID: 62
\talksub{State Of The Coffee Cup}{Free Java Platform Discussion}
\by{\person{Simon Phipps}{debian@webmink.net}}

% TalkID: 124
\talk{Supporting 15,000 packages} 
\by{\person{Ben Hutchings}{benh@debian.org}}

It should be clear to most developers that our many packages are not all equal
in quality; nor are all maintainers. Not everyone is aware that packages in a
stable release may have serious known bugs - even security bugs - that won't
get fixed because of over-stretched or MIA developers, or lack of upstream
support. There is a trade-off between quantity and quality of packages in the
archive, and Debian is not as selective as many other distributions.  I don't
think we want to start grading maintainers and I believe there's a consensus
that we should not be more selective about packages, but I think it would be a
service to our users to grade how well supported packages are. I have a number
of ideas for ways in which this could be done, but I think a discussion would
yield something better that might eventually be accepted cover a whole
release.

% TalkID: 58
% Cancelled at Frans' request - mhy
%\talksub{Supporting non-free drivers/firmware during installation}{Should
%Debian Installer support hardware that needs non-free drivers/firmware and,
%if so, how?}
%\by{\person{Frans Pop}{fjp@debian.org}}
%
%Should Debian Installer support hardware that requires drivers or firmware
%that are not available as part of the ``regular'' kernel images? In the
%opinion of the D-I team, we should. Of course, provided that we can do so in a
%way that does not conflict with the principles of the Debian project and in
%conformance with licence requirements. But we should also strive to make the
%installation experience as seamless and painless as possible, even when
%non-free drivers/firmware is needed.  During this BoF we hope for an open
%discussion of issues and implementation options. The D-I team will prepare a
%position paper that will be publicised before the start of Debconf as a basis
%for the discussion.

% TalkID: 15
\talksub{Systems Administration with User Packages}{Standardisation without
a straitjacket}
\by{\person{Andrew McMillan}{awm@debian.org}}

I will present my experience using the Debian packaging system and private APT
repositories to install user accounts and control other small but important
administration and configuration tasks on a wide variety of disparate systems
on different and dis-contiguous networks.

% TalkID: 96
\talksub{The Policy and RC bug goulash}{Technical policy, release policy,
developers reference, lintian/linda: How do these fit?}
\by{\person{Manoj Srivastava}{srivasta@debian.org}}

There are a number of documents and tools related to packaging software in
Debian, which lie on different points along the spectrum of mandatory
standards and suggested style tips.  This talk talks about the differences in
the goals of the various documents and tools, and will go into the upcoming
update of the technical policy update process, and how people can contribute.

% TalkID: 74
\talk{The Secure Debian Desktop}
\by{\person{Reinhard Tartler}{siretart@debian.org}}

% TalkID: 36
\talksub{Trademarks \& Debian}{Finding ways to deal with trademarks and free
software}
\by{\person{Eric Dorland}{eric@debian.org}}

A great deal of discussion and debate has taken place over copyrights and
patents and Free Software. Copyright is the tool used to create our licenses.
Patents are generally and vocally regarded as a bad idea. Trademarks, however,
haven't received nearly as much attention but being used more and more by
companies creating Free Software.  This BoF will discuss current trademark
policies used by existing projects and discuss ways the project wants to deal
with trademarks going forward.

% TalkID: 92
\talksub{Trusted Computer Project}{Providing secure systems to naive users}
\by{\person{Philip Hands}{philh@debian.org}}

This project aims to provide the infrastructure for maintaining secured
systems for end-users (primarily home users), by handling all sysadmin issues
for them, for a small monthly fee.  The purpose of the meeting is to tell
interested people about what we've done so far and encourage them to get
involved.

% TalkID: 80
\talk{Use and defence of the Debian trademark} 
\by{\person{Javier Fernandez-Sanguino}{jfs@debian.org}}

The ``Debian'' name and logo are currently trademarked (in the US) and are
owned by SPI Corporation.  Debian (through SPI) lacks, however, a policy
regarding the use of trademark and 'baby' SPIs have started registering the
trademark nation wide. The goal of the session is to focus some energy into
trying to describe some of the issues related to trademark abuse and seek
volunteers to relaunch the Trademark Committee and form a policy..


%%% DebConf Lightning Talks
\section{Lightning Talks}

% TalkID: 123
\talksub{Conspiracy, dissent and FUD}{The threat of the free software
movement to US State Security}
\by{\person{Micah Anderson}{micah@debian.org}}

A playful lightning talk, where I will describe an elaborate conspiracy
theory complete with references, interconnected maps and crazy paranoia
about the US government's and deliberate subterfuge through interception,
disruption, and discrediting of the Free Software Movement, and Debian in
particular.

% TalkID: 115
\talksub{Why tracker is cooler than unsliced cheese}{Introducing the
architecture behind the all-singing all-dancing daemon ``tracker''}
\by{\person{Philipp Kaluza}{sgb78@yomu.de}}

One almost-flamewar that has been recurring recently is that of the desktop
search engines: the established beagle vs. the contender tracker. However, this
discussion mostly misses the point, as it ignores what tracker is mainly
about: a flexible, extensible and fast metadata-store for the desktop. This
talk looks a bit closer at tracker's architecture and what your application
could do with it.


